Subject: bug#56499: 28.1; Unable to open large file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 14:46:27 +0300

> Date: Wed, 13 Jul 2022 10:22:09 +0200
> From: Juan Jose Garcia Ripoll <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Apologies for the noise. I have found out that this problem is related to "metered connections".

Thanks.  I was about to tell that I couldn't reproduce the problem on
a machine where I have OneDrive set up.

> On those
> ones, Emacs cannot trigger opening of the file and is not capable of returning the right error message. Once
> I disable the option "metered connection" from the network, Emacs operates as expected. I suspect this
> cannot really be attributed to Emacs, except for the lack of error message in the first situation.

Would you mind please telling more about the situation where it
happens and about the symptoms?  Does this happen only with
find-file-literally? does it happen only with large files? and what
exactly are "metered connections" and how does one disable that
option?

The reason for the questions is that I'd like to describe the problem
and the solution in etc/PROBLEMS.

Thanks.